| Exiv2

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
Exiv2::CrwParser Class Reference

`#include <crwimage.hpp>`

## Static Public Member Functions
static void | decode (CrwImage *pCrwImage, const byte *pData, size_t size)
| Decode metadata from a Canon CRW image in data buffer pData of length size into crwImage.
static void | encode (Blob &blob, const byte *pData, size_t size, const CrwImage *pCrwImage)
| Encode metadata from the CRW image into a data buffer (the binary CRW image).

## Detailed Description

Stateless parser class for Canon CRW images (Ciff format).

## Member Function Documentation

## ◆ decode()

void Exiv2::CrwParser::decode | ( | CrwImage * | pCrwImage,
|  | const byte * | pData,
|  | size_t | size )
| static

Decode metadata from a Canon CRW image in data buffer pData of length size into crwImage.

This is the entry point to access image data in Ciff format. The parser uses classes CiffHeader, CiffEntry, CiffDirectory.

Parameters

  pCrwImage | Pointer to the Exiv2 CRW image to hold the metadata read from the buffer.
  pData | Pointer to the data buffer. Must point to the data of a CRW image; no checks are performed.
  size | Length of the data buffer.

Exceptions

  Error | If the data buffer cannot be parsed.

References Exiv2::Internal::CiffHeader::decode(), Exiv2::Image::exifData(), Exiv2::Internal::CiffHeader::findComponent(), and Exiv2::Internal::CiffHeader::read().

Referenced by Exiv2::CrwImage::readMetadata().

## ◆ encode()

void Exiv2::CrwParser::encode | ( | Blob & | blob,
|  | const byte * | pData,
|  | size_t | size,
|  | const CrwImage * | pCrwImage )
| static

Encode metadata from the CRW image into a data buffer (the binary CRW image).

Parameters

  blob | Data buffer for the binary image (target).
  pData | Pointer to the binary image data buffer. Must point to data in CRW format; no checks are performed.
  size | Length of the data buffer.
  pCrwImage | Pointer to the Exiv2 CRW image with the metadata to encode.

Exceptions

  Error | If the metadata from the CRW image cannot be encoded.

References Exiv2::Internal::CrwMap::encode(), Exiv2::Internal::CiffHeader::read(), and Exiv2::Internal::CiffHeader::write().

Referenced by Exiv2::CrwImage::writeMetadata().

The documentation for this class was generated from the following files:

- crwimage.hpp
- crwimage.cpp